<!doctype html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <base th:href="${#request.getContextPath() + '/'}">
    <meta charset="utf-8">
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <link rel="stylesheet" href="assets/fonts/font-awesome/css/font-awesome.css"/>
    <link rel="stylesheet" href="assets/layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="assets/layuiadmin/style/admin.css" media="all">
    <link rel="stylesheet" type="text/css" href="assets/js/vendor/viewer/viewer.min.css">
</head>
<body>
<div class="layui-fluid layui-anim layui-anim-fadein">
    <div class="layui-row" id="viewer">
        <div class="layui-col-md12">
            <div class="layui-card">
                <div class="layui-card-body">
                    <div class="test-table-reload-btn" style="margin-bottom: 10px;">
                        <div class="layui-inline">
                            <input type="text" id="keywords" class="layui-input search-item" placeholder="输入关键字">
                        </div>
                        <div class="layui-inline">
                            <input type="text" id="startTime" class="layui-input search-item" placeholder="开始时间" readonly>
                        </div>
                        <div class="layui-inline">
                            <input type="text" id="endTime" class="layui-input search-item" placeholder="结束时间" readonly>
                        </div>
                        <button type="button" id="search" class="layui-btn layui-btn-sm">
                            <i class="fa fa-lg fa-search"></i> 搜索
                        </button>
                    </div>
                    <table class="layui-hide" id="dataTable" lay-filter="dataTable"></table>
                    <!-- 表头按钮组 -->
                    <script type="text/html" id="headerToolBar">
                        <div class="layui-btn-group">
                            <button type="button" class="layui-btn layui-btn-sm" lay-event="saveEvent">
                                <i class="fa fa-lg fa-plus"></i> 新增
                            </button>
                            <button type="button" class="layui-btn layui-btn-normal layui-btn-sm" lay-event="updateEvent">
                                <i class="fa fa-lg fa-edit"></i> 编辑
                            </button>
                            <button type="button" class="layui-btn layui-btn-danger layui-btn-sm" lay-event="removeEvent">
                                <i class="fa fa-lg fa-trash"></i> 删除
                            </button>
                        </div>
                    </script>
                </div>
            </div>
        </div>
    </div>
</div>
<script src="assets/layuiadmin/layui/layui.js"></script>
<script src="assets/js/vendor/viewer/viewer.min.js"></script>
<script>
    layui.config({
        base: 'assets/layuiadmin/'
    }).extend({
        index: 'lib/index'
    }).use(['index', 'table', 'laydate', 'common', 'form'], function() {
        var $ = layui.$;
        var $win = $(window);
        var table = layui.table;
        var admin = layui.admin;
        var laydate = layui.laydate;
        var common = layui.common;
        var form = layui.form;
        var resizeTimeout = null;
        var tableUrl = 'api/projectconfig/listpage';

        // 初始化表格
        function initTable() {
            table.render({
                elem: '#dataTable',
                id: 'dataTable',
                url: top.restAjax.path(tableUrl, []),
                width: admin.screen() > 1 ? '100%' : '',
                height: $win.height() - 90,
                limit: 20,
                limits: [20, 40, 60, 80, 100, 200],
                toolbar: '#headerToolBar',
                request: {
                    pageName: 'page',
                    limitName: 'rows'
                },
                cols: [
                    [
                        {type:'checkbox', fixed: 'left'},
                        {field:'rowNum', width:80, title: '序号', fixed: 'left', align:'center', templet: '<span>{{d.LAY_INDEX}}</span>'},
                        {field: 'projectConfigRemark', width: 400, title: '配置说明', align:'center',
                            templet: function(row) {
                                var rowData = row[this.field];
                                if(typeof(rowData) === 'undefined' || rowData == null || rowData == '') {
                                    return '-';
                                }
                                return rowData;
                            }
                        },
                        {field: 'projectConfigKey', width: 180, title: '配置Key', align:'center',
                            templet: function(row) {
                                var rowData = row[this.field];
                                if(typeof(rowData) === 'undefined' || rowData == null || rowData == '') {
                                    return '-';
                                }
                                return rowData;
                            }
                        },
                        {field: 'projectConfigMode', width: 180, title: '配置类型', align:'center',
                            templet: function(row) {
                                var rowData = row[this.field];
                                if(typeof(rowData) === 'undefined' || rowData == null || rowData == '') {
                                    return '-';
                                }
                                if(rowData == "1") {
                                    return '文字配置';
                                }else  if(rowData == "2") {
                                    return '开关配置';
                                }else  if(rowData == "3") {
                                    return '图片配置';
                                }else  if(rowData == "5") {
                                    return '整数配置';
                                }else  if(rowData == "6") {
                                    return '小数配置';
                                }else  if(rowData == "7") {
                                    return '富文本配置';
                                }else {
                                    return '自定义配置';
                                }
                            }
                        },
                        {field: 'projectConfigText', width: 300, title: '配置内容', align:'center',
                            templet: function(row) {
                                var rowData = row['projectConfigMode'];
                                var projectConfigId = row['projectConfigId'];
                                if(rowData == "1") {
                                    var text = row['projectConfigText'];
                                    // var value = '<input type="text" class="layui-input"  value="' + text + '"/>';
                                    return text;
                                }else  if(rowData == "2") {
                                    var projectConfigSwitch = row['projectConfigSwitch'];
                                    var value = '<input type="checkbox" lay-skin="switch" projectConfigId="' + projectConfigId + '" lay-filter="projectConfigSwitchFilter" ' + ( projectConfigSwitch > 0 ? 'checked="checked"' : '') + ' lay-text="开启|关闭">';
                                    return value;
                                }else  if(rowData == "3") {
                                    var image = row['projectConfigImage'];
                                    var value = '<img style="height: 50px;width: 50px;" src="route/file/download/false/'+ image +'" >';
                                    setTimeout(function() {
                                        new Viewer(document.getElementById("viewer"),{
                                            loop:true
                                        });
                                    }, 500);
                                    return value;
                                }else  if(rowData == "5") {
                                    var text = row['projectConfigInt'];
                                    return text;
                                }else  if(rowData == "6") {
                                    var text = row['projectConfigDouble'];
                                    return text;
                                }else  if(rowData == "7") {
                                    return  '<button type="button"  lay-event="htmlEvent"  class="layui-btn layui-btn-xs" >查看富文本</button>';
                                }else{
                                    return row['projectConfigParams'];
                                }
                            }
                        },
                        /*{field: 'projectConfigStatus', width: 180, title: '允许删除', align:'center',
                            templet: function(row) {
                                var rowData = row[this.field];
                                if(typeof(rowData) === 'undefined' || rowData == null || rowData == '') {
                                    return '-';
                                }
                                if(rowData == 1) {
                                    return  '<button type="button"  class="layui-btn layui-btn-xs">允许</button>';
                                }else {
                                    return '<button type="button" class="layui-btn layui-btn-danger layui-btn-xs">禁止</button>';
                                }
                            }
                        },*/
                    ]
                ],
                page: true,
                parseData: function(data) {
                    return {
                        'code': 0,
                        'msg': '',
                        'count': data.total,
                        'data': data.rows
                    };
                }
            });
        }
        // 重载表格
        function reloadTable(currentPage) {
            table.reload('dataTable', {
                url: top.restAjax.path(tableUrl, []),
                where: {
                    keywords: $('#keywords').val(),
                    startTime: $('#startTime').val(),
                    endTime: $('#endTime').val()
                },
                page: {
                    curr: currentPage
                },
                height: $win.height() - 90,
            });
        }
        // 初始化日期
        function initDate() {
            // 日期选择
            laydate.render({
                elem: '#startTime',
                format: 'yyyy-MM-dd'
            });
            laydate.render({
                elem: '#endTime',
                format: 'yyyy-MM-dd'
            });
        }

        // 表格行中按钮事件
        table.on('tool(dataTable)', function(obj) {
            var layEvent = obj.event;
            var data = obj.data;
            if(layEvent === 'htmlEvent') {
                top.layer.open({
                    type: 1,
                    title:'富文本预览',
                    closeBtn: 1, //不显示关闭按钮
                    area: ['90%', '90%'],
                    anim: 2,
                    shadeClose: true, //开启遮罩关闭
                    content: data.projectConfigHtml
                });
            }
        });

        // 删除
        function removeData(ids) {
            top.dialog.msg(top.dataMessage.delete, {
                time: 0,
                btn: [top.dataMessage.button.yes, top.dataMessage.button.no],
                shade: 0.3,
                yes: function (index) {
                    top.dialog.close(index);
                    var layIndex;
                    top.restAjax.delete(top.restAjax.path('api/projectconfig/remove/{ids}', [ids]), {}, null, function (code, data) {
                        top.dialog.msg(top.dataMessage.deleteSuccess, {time: 1000});
                        reloadTable();
                    }, function (code, data) {
                        top.dialog.msg(data.msg);
                    }, function () {
                        layIndex = top.dialog.msg(top.dataMessage.deleting, {icon: 16, time: 0, shade: 0.3});
                    }, function () {
                        top.dialog.close(layIndex);
                    });
                }
            });
        }
        initTable();
        initDate();
        // 事件 - 页面变化
        $win.on('resize', function() {
            clearTimeout(resizeTimeout);
            resizeTimeout = setTimeout(function() {
                reloadTable();
            }, 500);
        });
        // 事件 - 搜索
        $(document).on('click', '#search', function() {
            reloadTable(1);
        });


        form.on('switch(projectConfigSwitchFilter)', function (data) {
            var loadLayerIndex;
            var obj = {};
            top.restAjax.put(top.restAjax.path('api/projectconfig/updateswitch/{projectConfigId}/{projectConfigSwitch}', [$(this).attr("projectConfigId"), this.checked]), obj, null, function(code, data) {
            }, function(code, data) {
                top.dialog.msg(data.msg);
            }, function() {
                loadLayerIndex = top.dialog.msg(top.dataMessage.committing, {icon: 16, time: 0, shade: 0.3});
            }, function() {
                top.dialog.close(loadLayerIndex);
            });
        });

        // 事件 - 增删改
        table.on('toolbar(dataTable)', function(obj) {
            var layEvent = obj.event;
            var checkStatus = table.checkStatus('dataTable');
            var checkDatas = checkStatus.data;
            if(layEvent === 'saveEvent') {
                layer.open({
                    type: 2,
                    title: false,
                    closeBtn: 0,
                    area: ['100%', '100%'],
                    shadeClose: true,
                    anim: 2,
                    content: top.restAjax.path('route/projectconfig/save', []),
                    end: function() {
                        reloadTable();
                    }
                });
            } else if(layEvent === 'updateEvent') {
                if(checkDatas.length === 0) {
                    top.dialog.msg(top.dataMessage.table.selectEdit);
                } else if(checkDatas.length > 1) {
                    top.dialog.msg(top.dataMessage.table.selectOneEdit);
                } else {
                    layer.open({
                        type: 2,
                        title: false,
                        closeBtn: 0,
                        area: ['100%', '100%'],
                        shadeClose: true,
                        anim: 2,
                        content: top.restAjax.path('route/projectconfig/update?projectConfigId={projectConfigId}', [checkDatas[0].projectConfigId]),
                        end: function() {
                            reloadTable();
                        }
                    });
                }
            } else if(layEvent === 'removeEvent') {
                if(checkDatas.length === 0) {
                    top.dialog.msg(top.dataMessage.table.selectDelete);
                } else {
                    var ids = '';
                    for(var i = 0, item; item = checkDatas[i++];) {
                        if(i > 1) {
                            ids += '_';
                        }
                        ids += item['projectConfigId'];
                    }
                    removeData(ids);
                }
            }
        });
    });
</script>
</body>
</html>